DEBCONF-COPYDB.PT.1(1)

NOME
debconf-copydb - copia uma base de dados de debconf

SINOPSE
 debconf-copydb sourcedb destdb [--pattern=padrão] [--owner-pattern=padrão] [--config=Foo:bar]

DESCRIÇÃO
debconf-copydb copia itens de uma base de dados debconf existente para outra base de dados, que possivelmente é nova. As duas bases de dados podem ter formatos diferentes; se sim, será automaticamente feita uma conversão.

OPÇÕES

sourcedb
    O nome da base de dados fonte. Tipicamente será definido no seu ficheiro debconf.conf (ou .debconfrc).

destdb
    O nome da base de dados de destino. Pode ser definido em debconf.conf ou .debconfrc, ou você pode defini-lo an linha de comandos (veja em baixo).

-p pattern, --pattern pattern
    Se isto for especificado, apenas serão copiados os itens em sourcedb cujos nomes coincidam com o padrão.

--owner-pattern pattern
    Se isto for especificado, apenas serão copiados os itens em sourcedb cujos donos coincidam com o padrão.

-c foo:bar, --config Foo:bar
    Define a opção Foo para bar. Isto é semelhante a escrever:

      Foo: bar

    Em debconf.conf, excepto que você provavelmente vai querer deixar o espaço na linha de comandos (ou citá-lo "Foo: bar"). Geralmente tem de ser usado várias vezes, para construir uma estrofe de configuração completa. Enquanto as linhas vazias são usadas para separar as estrofes em debconf.conf, este programa irá assumir que "Name:dbname" denota o inicio de de uma nova estrofe.

EXEMPLOS
  debconf-copydb configdb backup

Copia tudo do configdb para o backup, assumindo que você já tem a base de dados de backup definida em debconf.conf.

  debconf-copydb configdb newdb --pattern='^slrn/' \
        --config=Name:newdb --config=Driver:File \
        --config=Filename:newdb.dat

Copia dados do slrn fora do configdb, e para newdb. newdb não é definido no ficheiro rc, portanto os switches --config definem a base de dados na hora.

  debconf-copydb configdb stdout -c Name:stdout -c Driver:Pipe \
        -c InFd:none --pattern='^foo/'

Cospe todos os itens na base de dados do debconf relacionados com o pacote foo.

  debconf-copydb configdb pipe --config=Name:pipe \
                --config=Driver:Pipe --config=InFd:none | \
        ssh remotehost debconf-copydb pipe configdb \
                --config=Name:pipe --config=Driver:Pipe

Isto usa uma driver pipe de objectivo especial para copiar a base de dados para um sistema remoto.

VEJA TAMBÉM
debconf.conf(5)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro <a_monteiro@netcabo.pt>, 2010, 2012

Por favor comunique quaisquer erros de tradução para a_monteiro@netcabo.pt, l10n@debianpt.org, ou submeta um relatório de bug contra o pacote debconf.